Package: groovy.lang

## [Java] Class MissingClassException

- groovy.lang.MissingClassException

- An exception occurred if a dynamic method dispatch fails with an unknown class. Note that the Missing*Exception classes were named for consistency and to avoid conflicts with JDK exceptions of the same name.

  Authors:
    James Strachan

- - ### Constructor Summary

    Constructors
    Constructor and description
    `MissingClassException (String type, ASTNode node, String message)`
    `MissingClassException (ClassNode type, String message)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `String` | `getType()` @return The type that could not be resolved

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyRuntimeException` | `getLocationText, getMessage, getMessageWithoutLocationText, getModule, getNode, setModule`
    `class RuntimeException` | `printStackTrace, printStackTrace, printStackTrace, getStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getSuppressed, getLocalizedMessage, setStackTrace, addSuppressed, equals, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public MissingClassException(String type, ASTNode node, String message)

    - #### public MissingClassException(ClassNode type, String message)

  - ### Method Detail

    - #### public String getType()

      Returns:
        The type that could not be resolved